<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [hasResearched](./bitburner.officeapi.hasresearched.md)

## OfficeAPI.hasResearched() method

Gets if you have unlocked a research

<b>Signature:</b>

```typescript
hasResearched(divisionName: string, researchName: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  researchName | string | Name of the research |

<b>Returns:</b>

boolean

true is unlocked, false if not

